# Uses of Class
javafx.scene.input.InputEvent

Packages that use InputEvent
Package
Description
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of InputEvent in javafx.scene.input

Subclasses of InputEvent in javafx.scene.input
Modifier and Type
Class
Description
`class`
`ContextMenuEvent`
When the user requests a context menu, this event occurs.
`final class`
`DragEvent`
Drag events replace mouse events during drag-and-drop gesture.
`class`
`GestureEvent`
An event indicating gesture input.
`final class`
`InputMethodEvent`
An event which indicates that the underlying input method notifies its text change in a `Node`.
`final class`
`KeyEvent`
An event which indicates that a keystroke occurred in a `Node`.
`final class`
`MouseDragEvent`
Mouse drag events are delivered to potential gesture targets during full press-drag-release gestures.
`class`
`MouseEvent`
When mouse event occurs, the top-most node under cursor is picked and the event is delivered to it through capturing and bubbling phases described at `EventDispatcher`.
`final class`
`RotateEvent`
Rotate event indicates that user performed rotating gesture such as dragging two fingers around each other on track pad, touch screen or other similar device.
`final class`
`ScrollEvent`
Scroll event indicates that user performed scrolling by mouse wheel, track pad, touch screen or other similar device.
`final class`
`SwipeEvent`
Swipe event indicates that user performed a swipe gesture such as dragging a finger in one direction on touch screen.
`final class`
`TouchEvent`
Touch event indicates a touch screen action.
`final class`
`ZoomEvent`
Zoom event indicates that user performed zooming gesture such as dragging two fingers apart on track pad, touch screen or other similar device.
Fields in javafx.scene.input with type parameters of type InputEvent
Modifier and Type
Field
Description
`static final EventType<InputEvent>`
InputEvent.`ANY`
Common supertype for all input event types.
Methods in javafx.scene.input that return types with arguments of type InputEvent
Modifier and Type
Method
Description
`EventType<? extends InputEvent>`
InputEvent.`getEventType()`
Constructor parameters in javafx.scene.input with type arguments of type InputEvent
Modifier
Constructor
Description
``
`InputEvent(Object source, EventTarget target, EventType<? extends InputEvent> eventType)`
Creates new instance of InputEvent.
``
`InputEvent(EventType<? extends InputEvent> eventType)`
Creates new instance of InputEvent.